Item10098: update JQueryPlugin's form plugin form 2.25 to 2.49

Priority: Normal
Current State: Closed
Released In: 1.1.3
Target Release: patch
Applies To: Engine
Component: JQueryPlugin
Branches:
Reported By: SvenDowideit
Waiting For:
Last Change By: KennethLavrsen
is there a reason not to update to https://github.com/malsup/form/raw/master/jquery.form.js ?

rather surprisingly, the current one has a problem with jquery 1.4 - the submit callback isn't being passed the xhr object, so i can't get http header info.

updating seems to resolve it, so it'd make me happy if there was no issue smile

-- SvenDowideit - 30 Nov 2010

Go ahead. I've added jquery.form to Item9739 to list all modules incompatible with jquery-1.4.x.

Good to keep an eye on these updates. Not that easy as they are spread over the internet.

-- MichaelDaum - 30 Nov 2010

k, updated in svn - will let you fix whatever i didn't know about and upload.

-- SvenDowideit - 01 Dec 2010

after spending the time to cherry pick things, it turns out that the javascript had already been merged over quietly into 1.1 frown

-- SvenDowideit - 28 Feb 2011
 
Topic revision: r11 - 16 Apr 2011, KennethLavrsen
 
The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. see CopyrightStatement. Creative Commons License